|

Get a specific bank account link

get/bank_links/{link_id}
Preview
Locked
Fetch detailed information on a bank link.

Request

Path parameters

link_id·

string

Response

available_products·

array of strings

The available productions for the link

Allowed values:

accounts
account_numbers
transactions
investments
identity
enrichment
created_at·

string

The date and time the link was created
error_code·

optional string

The error code

Allowed values:

system_error
provider_error
institution_error
user_error
auth_expired
no_accounts
user_setup_required
invalid_credentials
user_oauth_denied
user_input_incorrect
incomplete
external_id·

optional string

The external id of the link
fp_id·

string

The footprint entity owning the link
id·

string

The link ID
institution_id·

optional string

The institution ID
institution_logo·

optional string

The institution logo
institution_name·

optional string

The account name
products·

object

The products added to the link and their statuses
account_numbers·

optional object

accounts·

optional object

enrichment·

optional object

identity·

optional object

investments·

optional object

transactions·

optional object

provider·

optional string

The underlying data provider used to establish the link
state·

string

The link state

Allowed values:

connecting
connected
deleted
error
tags·

optional array of strings

Tags for the link
GET /bank_links/{link_id}
1curl https://api.onefootprint.com/bank_links/{link_id} \
2  -u sk_test_xxxxx:
Response example
{
  "available_products": [
    "accounts",
    "account_numbers"
  ],
  "created_at": "2021-01-01T00:00:00Z",
  "external_id": "ext_id_12345678",
  "fp_id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "id": "bank_link_x134ssf3rsdf",
  "institution_id": "inst_12345",
  "institution_logo": "https://example.com/chase.png",
  "institution_name": "Chase Bank",
  "products": {
    "account_numbers": {
      "last_attempted_at": "2023-05-15T14:30:00Z",
      "refreshed_at": "2023-05-15T14:30:00Z"
    },
    "accounts": {
      "last_attempted_at": "2023-05-15T14:30:00Z",
      "refreshed_at": "2023-05-15T14:30:00Z"
    },
    "transactions": {
      "last_attempted_at": "2023-05-15T14:30:00Z",
      "refreshed_at": "2023-05-15T14:30:00Z"
    }
  },
  "provider": "akoya",
  "state": "connected",
  "tags": [
    "my_tag"
  ]
}